


function aliaddofe() {
	//VGdocumento=document.getElementById("tdocumento").value
	//VGempresa=document.getElementById("tempresa").value
	//VGnumero=document.getElementById("tnumero").value
	//VGprefijo=document.getElementById("tprefijo").value
	if (VGdocumento!="" && VGempresa!=""){ 
		url="&tipo="+"l";
		url+="&documento="+VGdocumento;
		url+="&tipod="+VGtipod;
		url+="&empresa="+VGempresa;
	
		console.log(url);
		doAjax('controllers/aliaddofes/',url,'resp_fe','gets','0','Ccargar');
	}else{alert("Debe seleccionar Factura y empresa")}
}

function resp_fe(ResTex) {
	console.log(ResTex);
	var Api_url=''
	var myHeaders = new Headers();
	myHeaders.append("Content-Type", "application/json");
	//Detalle="";
	var oJsonDatos = JSON.parse(ResTex);
	if(oJsonDatos.Datos!="ERROR"){
	    if(ResTex.length>1){
			JsonFe=ResTex;
			var oJsonDatos = JSON.parse(JsonFe);
	        var NJsonItem=oJsonDatos.Datos.length;
			RowArray=0
			var Datofe=oJsonDatos.Datos[RowArray].estructura;
			VGkeyApi=oJsonDatos.Datos[RowArray].keyfel.trim();
			vPrvfel=oJsonDatos.Datos[RowArray].prvfel.trim();
			if(vPrvfel="aliaddo"){
				myHeaders.append("x-api-key", VGkeyApi);
			}
			if(vPrvfel="dataico"){
				myHeaders.append("auth-token", VGkeyApi);
			}
			if(VGchkfte==1){
				VGrutaApi=oJsonDatos.Datos[RowArray].rutfel.trim();
			}
			if(VGchkfte==2){
				VGrutaApi=oJsonDatos.Datos[RowArray].rutnce.trim();
			}
			alert(VGrutaApi)
			Api_url=VGrutaApi+oJsonDatos.Datos[RowArray].modope.trim();
			
		}else{
			alert("no hay registro de este documento");
			return
	   	}
	}else{
		alert("no hay registro de este documento");
		return
    }
	console.log(Api_url);
	//Detalle+="</div>";
	//document.getElementById("mdi_menu").innerHTML=Detalle;
	fetch(Api_url, {
  		method: 'POST',
  		body:Datofe,
		headers: myHeaders
	})
	.then(res => res.json())
  	.then(response => {
	  console.log(response)
	  mostrar_fe(VGnumero,myHeaders)
	  } )
  	.catch(error => console.error('Error:', error))
}

function mostrar_fe(cNfe,myHeaders){ 
	var numero=cNfe
	//var Api_ruta="https://isv.aliaddo.net/api/v1/public/documents/invoices/"+numero+"/findByConsecutive"
	var Api_ruta=VGrutaApi+"/"+numero+"/findByConsecutive"
	
	fetch(Api_ruta,{
		method: 'GET',
	 headers: myHeaders
      })  
	  .then(response => response.json())
	  .then(ResTex=>{
		   mostrar_resp(ResTex)	  
	  })
	  .catch(err=>console.log(err))
	  
	}
	
	function mostrar_resp(ResTex){ 
		console.log(ResTex)
		var rpdf=""
		var rxml=""
		var rest=""
		var rzip=""
		var rid=""
		var rcufe=""
		var rqr=""
		var rpre=""
		var sw=0
		var rnum=VGprefijo+VGnumero
		Detalle="<div>Factura..";
		for (RowArray=0;RowArray<ResTex.length; RowArray++){
			//alert(ResTex[RowArray].prefix+"-"+VGprefijo+"/"+ResTex[RowArray].consecutive+"-"+VGnumero)
			if(ResTex[RowArray].prefix==VGprefijo && ResTex[RowArray].consecutive==VGnumero){ 
				sw=1
				rpdf=ResTex[RowArray].urlPdf
				rid=ResTex[RowArray].id
				rxml=ResTex[RowArray].urlXmlDocument
				rzip=ResTex[RowArray].urlZip
				rcufe=ResTex[RowArray].cufe
				rqr=ResTex[RowArray].qr
				rest=ResTex[RowArray].dianStateReason
				rpre=ResTex[RowArray].prefix
				Detalle+='<a href="'+ResTex[RowArray].urlPdf+'">Pdf factura</a><br>';
			}
		}
		
		Detalle+="</div>";
		document.getElementById("app").innerHTML=Detalle;
		//Acctualizando e del Doc. E.
		url="&tipo="+"l";
		url+="&documento="+VGdocumento;
		url+="&empresa="+VGempresa;
		url+="&rpdf="+rpdf;
		url+="&rid="+rid;
		url+="&rxml="+rxml;
		url+="&rzip="+rzip;
		url+="&rcufe="+rcufe;
		url+="&rqr="+rqr;
		url+="&rest="+rest;
		//console.log(url);
		if(sw==1){
			doAjax('controllers/updatedes/',url,'resp_updatede','post','0','Ccargar');
		}else{
			return
		}
	} 

function resp_updatede(ResTex) {
	console.log("PROCESADO");
	}
  
  